com.genesyslab.wfm8.API.service.schedule852

## Interface ESchStateLayout

-     public interface ESchStateLayout

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `SCH_LAYOUT_DAY` Full-day states only, like Shift, Full-Day Exception, Day Off and Full-Day Time Off.
    `static int` | `SCH_LAYOUT_OVERLAPPED` States presented in overlapped way.
    `static int` | `SCH_LAYOUT_SEQUENTIAL` All states presented sequentially Scheduled states are presented sequentially so that there is only one state at every given moment.

- - ### Field Detail

    - #### SCH_LAYOUT_DAY

          static final int SCH_LAYOUT_DAY

      Full-day states only, like Shift, Full-Day Exception, Day Off and Full-Day Time Off.
      See Also:
        Constant Field Values

    - #### SCH_LAYOUT_SEQUENTIAL

          static final int SCH_LAYOUT_SEQUENTIAL

      All states presented sequentially Scheduled states are presented sequentially so that there is only one state at every given moment. Exception to that are Activity states that are indeed scheduled concurrently. For instance, multi-skilled agent is scheduled to work on two different activities at the same time. This exception also applies to Shift state, which always works as a kind of vessel for all other states and the most important characteristic of which are start and end times. This presentation method is most natural for presenting agent schedules. Note that Marked Time state is never sequential and will overlap other states because it is assumed as "transparent" by its nature.
      See Also:
        Constant Field Values

    - #### SCH_LAYOUT_OVERLAPPED

          static final int SCH_LAYOUT_OVERLAPPED

      States presented in overlapped way. Scheduled states are presented in a overlapped providing information what scheduled state is hidden behind other. This presentation method is very useful when editing scheduled states manually.
      See Also:
        Constant Field Values

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.